QTextEncoder(3qt)

NAME
QTextEncoder - State-based encoder

SYNOPSIS
#include <qtextcodec.h>

  Public Members
virtual ~QTextEncoder ()
virtual QCString fromUnicode ( const QString & uc, int & lenInOut ) = 0

DESCRIPTION
The QTextEncoder class provides a state-based encoder.

The encoder converts Unicode into another format, remembering any state that is required between calls.

See also QTextCodec::makeEncoder() and Internationalization with Qt.

MEMBER FUNCTION DOCUMENTATION

QTextEncoder::~QTextEncoder () [virtual]
Destroys the encoder.

QCString QTextEncoder::fromUnicode ( const QString & uc, int & lenInOut ) [pure virtual]
Converts lenInOut characters (not bytes) from uc, producing a QCString. lenInOut will be set to the length of the result (in bytes).

The encoder is free to record state to use when subsequent calls are made to this function (for example, it might change modes with escape sequences if needed during the encoding of one string, then assume that mode applies when a subsequent call begins).

SEE ALSO
http://doc.trolltech.com/qtextencoder.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qtextencoder.3qt) and the Qt version (3.0.3).